//
//  GMDiaryShareView.h
//  Gengmei
//
//  Created by yefengming on 2018/12/19.
//  Copyright © 2018年 更美互动信息科技有限公司. All rights reserved.
//

#import "GMShareTopView.h"
#import "GMShareSDK.h"
#import "WMShareObject.h"

@class GMShareView;
@protocol GMDiaryShareViewDelegate <NSObject>
@optional
/// 额外的分享数据内容，业务层可根据需求进行修改
/// @param shareType shareType
- (NSDictionary *)extra_shareParams:(GMSharePlatform)shareType;
/** 分享成功 */
- (void)shareResponseSuccess;

- (void)shareObject:(WMShareObject *)object;
@end

@interface GMDiaryShareView : GMView
/**   @brief  分享日记的shareObject*/
@property (nonatomic, strong) WMShareObject *object;
/**
 连续签到，补签任务
 */
@property (nonatomic, strong) GMShareTopView *topView;

@property (nonatomic, weak) id<GMDiaryShareViewDelegate> delegate;

/**   @brief  显示分享界面*/
- (void)showWithShareArr:(NSMutableArray *)shareArr;
/**   @brief  隐藏分享界面。最后会remove super view*/
- (void)hideShareView;
@end
